<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>VecStashGetInfo</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="VecStashGetInfo"><H1>VecStashGetInfo</H1></A>
Gets how many values are currently in the vector stash, i.e. need to be communicated to other processors during the <A HREF="../Vec/VecAssemblyBegin.html#VecAssemblyBegin">VecAssemblyBegin</A>/End() process 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscvec.h" 
PetscErrorCode PETSCVEC_DLLEXPORT VecStashGetInfo(Vec vec,PetscInt *nstash,PetscInt *reallocs,PetscInt *bnstash,PetscInt *brealloc)
</PRE>
Not collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>vec </B> -the vector
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>nstash   </B></TD><TD>- the <A HREF="../Sys/size.html#size">size</A> of the stash
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>reallocs </B></TD><TD>- the number of additional mallocs incurred.
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>bnstash   </B></TD><TD>- the <A HREF="../Sys/size.html#size">size</A> of the block stash
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>breallocs </B></TD><TD>- the number of additional mallocs incurred.in the block stash
</TD></TR></TABLE>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Vec/VecAssemblyBegin.html#VecAssemblyBegin">VecAssemblyBegin</A>(), <A HREF="../Vec/VecAssemblyEnd.html#VecAssemblyEnd">VecAssemblyEnd</A>(), <A HREF="../Vec/Vec.html#Vec">Vec</A>, <A HREF="../Vec/VecStashSetInitialSize.html#VecStashSetInitialSize">VecStashSetInitialSize</A>(), <A HREF="../Vec/VecStashView.html#VecStashView">VecStashView</A>()
<BR>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/vec/interface/vector.c.html#VecStashGetInfo">src/vec/vec/interface/vector.c</A>
<BR><A HREF="./index.html">Index of all Vec routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
